import Axios from 'axios'

import {
  REQUEST_CONFIG,
  AlarmData_Delete,
} from "../../utils/RequestUrls";

var staticMethods = {
  // 性能数据按条件查询：总条数
  deleteAlarmDatas: function (selectList) {

    var ret = Axios.delete(AlarmData_Delete,{
      data: selectList,
      REQUEST_CONFIG
    })
    return ret
    // return Axios.delete(PerformanceData_Delete, {
    //     data: selectList,
    //     REQUEST_CONFIG
    //      }
    //   )
  }
}

function AlarmDataDeleteAPI (websocketService = null) {

  return Object.freeze(Object.assign(
    {
      // object methods comes here
    },
    staticMethods
  ))
}
// inject static methods
Object.assign(AlarmDataDeleteAPI, staticMethods);
export default AlarmDataDeleteAPI
